Regenerated from sysdeps/mach/hurd/errnos.awk manual/errno.texi include/../include...
[kopensolaris-gnu/glibc.git] / shlib-versions
index 2745152..6530d39 100644 (file)
@@ -17,6 +17,7 @@ alpha.*-.*-linux.*    libm=6.1
 alpha.*-.*-.*          libm=6
 powerpc-.*-.*          libm=6
 mips-.*-.*             libm=6
+arm.*-.*-.*            libm=6
 
 # We provide libc.so.6 for Linux kernel versions 2.0 and later.
 alpha.*-.*-linux.*     libc=6.1
@@ -36,6 +37,7 @@ i.86-.*-linux.*               ld=ld-linux.so.2
 sparc-.*-linux.*       ld=ld-linux.so.2
 sparc64-.*-linux.*     ld=ld-linux64.so.2
 alpha.*-.*-linux.*     ld=ld-linux.so.2
+arm.*-.*-linux.*       ld=ld-linux.so.2
 # We use the ELF ABI standard name for the default.
 .*-.*-.*               ld=ld.so.1
 
@@ -71,6 +73,10 @@ alpha.*-.*-linux.*   libnsl=1.1
 
 # We use libdb.so.3 for the interface in version 2.x of the Berkeley DB code.
 .*-.*-.*               libdb=3
+# This is the Berkeley DB 1.85.  We use the version numbers from glibc 2.0.*
+# for all times.
+alpha-.*-linux.*        libdb1=2.1
+.*-.*-.*                libdb1=2
 
 # This defines the shared library version numbers we will install.
 alpha.*-.*-linux.*     libcrypt=1.1